
var setupAparte = function () {
    var boutonAparte = document.getElementById("buttonAparte");
    boutonAparte.addEventListener("click",hideAparte);
}

window.addEventListener("load",setupAparte);



// retourne la CSSRule dont le sélecteur est fourni en param : 
//on parcourt les feuilles de style à la recherche de la règle dont le sélecteur est passé en paramètre 
var selectCSSRule = function (selectorName) {
    var theStyleSheets = document.styleSheets;
    for(var sheets = 0; sheets < theStyleSheets.length; sheets++) {
	var rules = theStyleSheets[sheets].cssRules;
	for(var i = 0; i < rules.length; i++) {
	    if (rules[i].selectorText.toLowerCase() == selectorName.toLowerCase()) {
		return rules[i];
	    }
	}
    }
    return null;
}

// fixe pour la règle 'cssRule' la valeur de la 'property' à 'value'
var setCssStyleProperty = function(cssRule, property, value) {
    cssRule.style[property] = value;
}

// fixe la valeur de l'attribut 'display' de la règle à 'displayMode'
var displayRule = function(cssRule, displayMode) {
    setCssStyleProperty(cssRule,"display",displayMode);
}

// fixe la valeur de l'attribut 'display' de la règle à 'none'
var hideRule = function(cssRule) {
    displayRule(cssRule,"none");
}


var aparteName = ".aparte";
var displayAparte = function() {
    var boutonAparte = document.getElementById("buttonAparte");
    boutonAparte.innerHTML ="Masquer apartés";
    boutonAparte.removeEventListener("click",displayAparte);
    boutonAparte.addEventListener("click",hideAparte);

    displayRule(selectCSSRule(aparteName),"block");
}
var hideAparte = function() {
    var boutonAparte = document.getElementById("buttonAparte");
    boutonAparte.innerHTML = "Afficher apartés";
    boutonAparte.removeEventListener("click",hideAparte);
    boutonAparte.addEventListener("click",displayAparte);

    hideRule(selectCSSRule(aparteName));
}
